Board index FlightGear Support Tools OpenRadar

Applying update

OpenRadar is a standalone radar screen which connects to the FlightGear multiplayer servers. It is currently being developed.

Applying update

Postby morlanius » Mon Jan 25, 2016 1:41 am

Hi,
OpenRadar operates great for me but I can not use the update supplied. Now I can now download new Airports but I hear that is a temporary thing. I am using Debian 8 Linux x64. And I'm using OpenJDK 1.7.0.91.

morlan@gomez:~/flight_gear/OpenRadar$ ls
COPYING fgcom logs OpenRadar-ChangeLog.txt OpenRadar.jar.bak orcam res
data licenses OpenRadar.bat OpenRadar.jar OpenRadar.sh orcam.sh settings
morlan@gomez:~/flight_gear/OpenRadar$ cat ../OpenRadar.jar > OpenRadar.jar
morlan@gomez:~/flight_gear/OpenRadar$ ./OpenRadar.sh
Exception in thread "main" java.lang.UnsupportedClassVersionError: de/knewcleus/openradar/OpenRadar : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)


Any ideas?

Thanks
User avatar
morlanius
 
Posts: 36
Joined: Mon Jan 25, 2016 1:29 am

Re: Applying update

Postby morlanius » Mon Jan 25, 2016 1:55 am

Okay I'm a stupid, I updated to java-8 and its working now, if anyone else has this error, its not an error you are a stupid like me, update Java.


Morlanius
User avatar
morlanius
 
Posts: 36
Joined: Mon Jan 25, 2016 1:29 am

Re: Applying update

Postby sanhozay » Mon Jan 25, 2016 11:49 am

morlanius wrote in Mon Jan 25, 2016 1:55 am:Okay I'm a stupid

Actually you aren't stupid, it's just that Java has (and has always had, as long as I remember) a less than helpful error message when classes have been compiled with a compiler (javac) that is newer than the runtime (java).

Exception in thread "main" java.lang.UnsupportedClassVersionError: de/knewcleus/openradar/OpenRadar : Unsupported major.minor version 52.0
sanhozay
 
Posts: 1207
Joined: Thu Dec 26, 2013 11:57 am
Location: EGNM
Callsign: G-SHOZ
Version: Git
OS: Ubuntu 16.04

Re: Applying update

Postby wagnerw » Mon Jan 25, 2016 5:07 pm

True, this error message is unbelievable...
wagnerw
 
Posts: 280
Joined: Tue Nov 06, 2012 8:35 pm
Callsign: D-W794

Re: Applying update

Postby morlanius » Mon Jan 25, 2016 7:00 pm

:D Thanks.
User avatar
morlanius
 
Posts: 36
Joined: Mon Jan 25, 2016 1:29 am


Return to OpenRadar

Who is online

Users browsing this forum: No registered users and 0 guests